<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>คำสั่งซื้อ Lish Member</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Sarabun:wght@100;200;400;500;600&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <!--  BEGIN CUSTOM STYLE FILE  -->
    <link href="/assets/css/pages/privacy/privacy.css" rel="stylesheet" type="text/css" />
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!--  END CUSTOM STYLE FILE  -->
</head>

<body>


    <div id="headerWrapper">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-12 text-center mb-5">
                    <a href="https://www.lishthailand.com/" class="navbar-brand-privacy">
                        <img src="/assets/img/90x90.jpg"
                            class="img-fluid" alt="logo">
                    </a>
                </div>
                <div class="col-md-12 col-sm-12 col-12 text-center">
                    <h2 class="main-heading">ยืนยันคำสั่งซื้อ</h2>
                </div>
            </div>
        </div>
    </div>

    <div id="privacyWrapper" class="">
        <div class="privacy-container">
            <div class="privacyContent">
                <h3 class="text-center text-success">เลขคำสั่งซื้อ : <%=code %></h3>
                <h5 class="text-center mt-2">ชื่อตัวแทน : <%=locals.data.first_name + ' ' + locals.data.last_name %> </h5>
                <h5 class="text-center mt-2">ระดับตัวแทน : <%=Product.roles_name %> </h5>
                <h5 class="text-center mt-2">เบอร์โทร : <%=locals.data.tel %> </h5>
                <h6 class="text-center mt-2">ที่อยู่จัดส่ง : ตามที่กรอกในระบบ <span
                        class=" shadow-none badge outline-badge-success" id="address_change">เปลี่ยนที่อยู่จัดส่ง</span></h6>
                <form method="post" action="/product/linklish/confirm" id="Form_data" target="_blank">
                    <div id="address_show" hidden>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="address">ที่อยู่</label>
                                <input type="text" class="form-control" id="address" name="address">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-3 col-6">
                                    <div class="form-group">
                                        <label for="subdistrict">ตำบล</label>
                                        <input type="text" class="form-control" id="subdistrict" name="subdistrict" value="">
                                    </div>
                                </div>
                                <div class="col-md-3 col-6">
                                    <div class="form-group">
                                        <label for="district">อำเภอ</label>
                                        <input type="text" class="form-control" id="district" name="district" value="">
                                    </div>
                                </div>
                                <div class="col-md-3 col-6">
                                    <div class="form-group">
                                        <label for="province">จังหวัด</label>
                                        <input type="text" class="form-control" id="province" name="province" value="">
                                    </div>
                                </div>
                                <div class="col-md-3 col-6">
                                    <div class="form-group">
                                        <label for="zipcode">รหัสไปรษณีย์</label>
                                        <input type="text" class="form-control" id="zipcode" name="zipcode" value="">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="privacy-content-container">
                        <div class="widget-content widget-content-area mt-4">
                            <div class="table-responsive">
                                <table class="table mb-4">
                                    <thead>
                                        <tr>
                                            <th class="text-center">ลำดับ</th>
                                            <th>สินค้า</th>
                                            <th class="text-center">จำนวน</th>
                                            <th class="text-center">ราคาสินค้า</th>
                                            <th class="text-center">ยอดรวม</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td class="text-center">1
                                            </td>
                                            <td><%=Product.product_name %> </td>
                                            <td class="text-center">1</td>
                                            <td class="text-center" id="price"><%=Product.price %> ฿
                                            </td>
                                            <td class="text-center" id="sum">0.00 ฿
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                <h6>ค่าสินค้า</h6>
                            </div>
                            <div class="col-6">
                                <h6 class="text-right" id="price_sum">6040.00 ฿</h6>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-6">
                                <h5>รวมเป็นเงิน</h5>
                            </div>
                            <div class="col-6">
                                <h5 class="text-right text-danger" id="cal_sum">6040.00 ฿</h5>
                            </div>
                        </div>

                    </div>
                    <h4 class="mt-2 text-success">การชำระเงิน</h4>
                    <hr />
                    <div class="row mt-2 mb-2">
                        <div class="col-12">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="option1" value="1" id="option1">
                                <label class="form-check-label" for="option1">
                                    โอนเงิน
                                    <img src="https://www.xfitwatch.com/order/assets/img/icon_bank.jpg">
                                </label>
                            </div>
                            <!-- <div class="form-check">
                                <input class="form-check-input" type="radio" name="option1" value="2" id="option2">
                                <label class="form-check-label" for="option1">
                                    บัตรเครดิต/บัตรเดบิต
                                    <img src="https://affiliate.awbg.co.th/images/credit.png" width="140 px" height="30px">
                                </label>
                            </div> -->
                        </div>
                    </div>
                    <input type="hidden" value="<%=code %>" name="code" />
                    <input type="hidden" value="<%=locals.shop %>" name="shop_code" />
                    <input type="hidden" value="<%=Product.id %>" name="product_code" />
                </form>
                <div class="text-center">
                    <button id="btn_submit" class="btn btn-success mt-3 mb-4 text-center">ยืนยัน</button>
                </div>
            </div>
        </div>
    </div>


    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.0.0-beta.20/js/uikit.min.js"></script>
    <script type="/text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/zip.js/zip.js"></script>
    <!-- / dependencies for zip mode -->
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/JQL.min.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/typeahead.bundle.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dist/jquery.Thailand.min.js"></script>
    <script>
        $.Thailand({
            database: '/assets/js/jquery.Thailand.js/database/geodb.json', 
            $district: $('input[name="subdistrict"]'),
            $amphoe: $('input[name="district"]'),
            $province: $('input[name="province"]'),
            $zipcode: $('input[name="zipcode"]'),
            // onDataFill: function(data){
            //     console.info('Data Filled', data);
            // },
            // onLoad: function(){
            //     console.info('Autocomplete is ready!');
            //     $('#loader, .demo').toggle();
            // }
        });

        $(document).ready(()=>{
            let Product = '<%=Product.price %>'
            $('#price_sum').text(Product + ' ฿')
            $('#sum').text(Product + ' ฿')
            $('#cal_sum').text(Product + ' ฿')
        })
        // Scroll To Top
        $(document).on('click', '.arrow', function (event) {
            event.preventDefault();
            var body = $("html, body");
            body.stop().animate({ scrollTop: 0 }, 500, 'swing');
        });


        let option = 0
        //เช็คการกดแบบเต็ม
        let option1 = document.getElementById('option1')
        option1.addEventListener('click',(e)=>{
            e.target.checked ? option = 1 : ''
        })
        //เช็คการกดแบบย่อ
        // document.getElementById('option2').addEventListener('click',(e)=>{
        //     e.target.checked ? option = 2 : ''
        // })

        document.getElementById('address_change').addEventListener('click',(c)=>{$('#address_show').removeAttr('hidden',true);})
    
        let btn_submit = document.getElementById('btn_submit')
        btn_submit.addEventListener('click',(e)=>{
            let type = 1
            if(option == 0){
                Swal.fire('กรุณาเลือกประเภทการชำระเงิน','','warning')
            }else{
                if($('#zipcode').val() != ''){type = 2}
            }
            console.log(option)
            document.getElementById('Form_data').submit()
            window.location = '/product'
        })
    </script>

</body>

</html>